The target system is: Android - 1 - armv7-a
The host system is: Linux - 4.15.0-142-generic - x86_64
Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
Compiler: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang 
Build flags: 
Id flags: -c;--target=armv7-none-linux-androideabi21 

The output was:
0


Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "CMakeCCompilerId.o"

The C compiler identification is Clang, found in "/media/sf_share/gateway/build/CMakeFiles/3.20.6/CompilerIdC/CMakeCCompilerId.o"

Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
Compiler: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ 
Build flags: -g;-DANDROID;-fdata-sections;-ffunction-sections;-funwind-tables;-fstack-protector-strong;-no-canonical-prefixes;-D_FORTIFY_SOURCE=2;-march=armv7-a;-mthumb;-Wformat;-Werror=format-security;;
Id flags: -c;--target=armv7-none-linux-androideabi21 

The output was:
0


Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "CMakeCXXCompilerId.o"

The CXX compiler identification is Clang, found in "/media/sf_share/gateway/build/CMakeFiles/3.20.6/CompilerIdCXX/CMakeCXXCompilerId.o"

Detecting C compiler ABI info compiled with the following output:
Change Dir: /media/sf_share/gateway/build/CMakeFiles/CMakeTmp

Run Build Command(s):/home/vboxuser/tools/ndk/android_toolchain_16b/bin/make -f Makefile cmTC_c5259/fast && /home/vboxuser/tools/ndk/android_toolchain_16b/bin/make  -f CMakeFiles/cmTC_c5259.dir/build.make CMakeFiles/cmTC_c5259.dir/build
make[1]: Entering directory `/media/sf_share/gateway/build/CMakeFiles/CMakeTmp'
Building C object CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o
/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot   -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -march=armv7-a -mthumb -Wformat   -fPIE   -v -MD -MT CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -c /usr/local/share/cmake-3.20/Modules/CMakeCCompilerABI.c
Android (7155654, based on r399163b1) clang version 11.0.5 (https://android.googlesource.com/toolchain/llvm-project 87f1315dfbea7c137aa2e6d362dbb457e388158d)
Target: armv7-none-linux-android21
Thread model: posix
InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin
Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Candidate multilib: thumb;@mthumb
Candidate multilib: armv7-a;@march=armv7-a
Candidate multilib: armv7-a/thumb;@march=armv7-a@mthumb
Candidate multilib: .;
Selected multilib: armv7-a/thumb;@march=armv7-a@mthumb
 (in-process)
 "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang" -cc1 -triple thumbv7-none-linux-android21 -emit-obj -mrelax-all -mnoexecstack -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fno-rounding-math -mconstructor-aliases -munwind-tables -target-cpu generic -target-feature +soft-float-abi -target-feature +vfp2 -target-feature +vfp2sp -target-feature +vfp3 -target-feature +vfp3d16 -target-feature +vfp3d16sp -target-feature +vfp3sp -target-feature -fp16 -target-feature -vfp4 -target-feature -vfp4d16 -target-feature -vfp4d16sp -target-feature -vfp4sp -target-feature -fp-armv8 -target-feature -fp-armv8d16 -target-feature -fp-armv8d16sp -target-feature -fp-armv8sp -target-feature -fullfp16 -target-feature +fp64 -target-feature +d32 -target-feature +neon -target-feature -crypto -target-feature -fp16fml -target-abi aapcs-linux -mfloat-abi soft -fallow-half-arguments-and-returns -fno-split-dwarf-inlining -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -v -ffunction-sections -fdata-sections -resource-dir /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5 -dependency-file CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o.d -MT CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -sys-header-deps -D ANDROID -D _FORTIFY_SOURCE=2 -isysroot /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include -Wformat -fdebug-compilation-dir /media/sf_share/gateway/build/CMakeFiles/CMakeTmp -ferror-limit 19 -stack-protector 2 -fno-signed-char -fgnuc-version=4.2.1 -o CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -x c /usr/local/share/cmake-3.20/Modules/CMakeCCompilerABI.c
clang -cc1 version 11.0.5 based upon LLVM 11.0.5git default target x86_64-unknown-linux-gnu
ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/include"
#include "..." search starts here:
#include <...> search starts here:
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include
End of search list.
Linking C executable cmTC_c5259
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_c5259.dir/link.txt --verbose=1
/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -march=armv7-a -mthumb -Wformat   -Wl,--exclude-libs,libgcc.a -Wl,--exclude-libs,libgcc_real.a -Wl,--exclude-libs,libatomic.a -static-libstdc++ -Wl,--build-id=sha1 -Wl,--no-rosegment -Wl,--fatal-warnings -Wl,--exclude-libs,libunwind.a -Wl,--no-undefined -Qunused-arguments -Wl,--gc-sections  -v CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -o cmTC_c5259 
Android (7155654, based on r399163b1) clang version 11.0.5 (https://android.googlesource.com/toolchain/llvm-project 87f1315dfbea7c137aa2e6d362dbb457e388158d)
Target: armv7-none-linux-android21
Thread model: posix
InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin
Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Candidate multilib: thumb;@mthumb
Candidate multilib: armv7-a;@march=armv7-a
Candidate multilib: armv7-a/thumb;@march=armv7-a@mthumb
Candidate multilib: .;
Selected multilib: armv7-a/thumb;@march=armv7-a@mthumb
 "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/ld" --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -pie -z noexecstack -EL --warn-shared-textrel -z now -z relro -z max-page-size=4096 -X --hash-style=gnu --hash-style=both --enable-new-dtags --eh-frame-hdr -m armelf_linux_eabi -dynamic-linker /system/bin/linker -o cmTC_c5259 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21 -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib --exclude-libs libgcc.a --exclude-libs libgcc_real.a --exclude-libs libatomic.a --build-id=sha1 --no-rosegment --fatal-warnings --exclude-libs libunwind.a --no-undefined --gc-sections CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -lgcc -ldl -lc -lgcc -ldl /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o
make[1]: Leaving directory `/media/sf_share/gateway/build/CMakeFiles/CMakeTmp'



Parsed C implicit include dir info from above output: rv=done
  found start of include info
  found start of implicit include info
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include]
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include]
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi]
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include]
  end of search list found
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include]
  implicit include dirs: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include]


Parsed C implicit link information from above output:
  link line regex: [^( *|.*[/\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: /media/sf_share/gateway/build/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command(s):/home/vboxuser/tools/ndk/android_toolchain_16b/bin/make -f Makefile cmTC_c5259/fast && /home/vboxuser/tools/ndk/android_toolchain_16b/bin/make  -f CMakeFiles/cmTC_c5259.dir/build.make CMakeFiles/cmTC_c5259.dir/build]
  ignore line: [make[1]: Entering directory `/media/sf_share/gateway/build/CMakeFiles/CMakeTmp']
  ignore line: [Building C object CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o]
  ignore line: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot   -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -march=armv7-a -mthumb -Wformat   -fPIE   -v -MD -MT CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -c /usr/local/share/cmake-3.20/Modules/CMakeCCompilerABI.c]
  ignore line: [Android (7155654  based on r399163b1) clang version 11.0.5 (https://android.googlesource.com/toolchain/llvm-project 87f1315dfbea7c137aa2e6d362dbb457e388158d)]
  ignore line: [Target: armv7-none-linux-android21]
  ignore line: [Thread model: posix]
  ignore line: [InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin]
  ignore line: [Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Candidate multilib: thumb]
  ignore line: [@mthumb]
  ignore line: [Candidate multilib: armv7-a]
  ignore line: [@march=armv7-a]
  ignore line: [Candidate multilib: armv7-a/thumb]
  ignore line: [@march=armv7-a@mthumb]
  ignore line: [Candidate multilib: .]
  ignore line: []
  ignore line: [Selected multilib: armv7-a/thumb]
  ignore line: [@march=armv7-a@mthumb]
  ignore line: [ (in-process)]
  ignore line: [ "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang" -cc1 -triple thumbv7-none-linux-android21 -emit-obj -mrelax-all -mnoexecstack -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fno-rounding-math -mconstructor-aliases -munwind-tables -target-cpu generic -target-feature +soft-float-abi -target-feature +vfp2 -target-feature +vfp2sp -target-feature +vfp3 -target-feature +vfp3d16 -target-feature +vfp3d16sp -target-feature +vfp3sp -target-feature -fp16 -target-feature -vfp4 -target-feature -vfp4d16 -target-feature -vfp4d16sp -target-feature -vfp4sp -target-feature -fp-armv8 -target-feature -fp-armv8d16 -target-feature -fp-armv8d16sp -target-feature -fp-armv8sp -target-feature -fullfp16 -target-feature +fp64 -target-feature +d32 -target-feature +neon -target-feature -crypto -target-feature -fp16fml -target-abi aapcs-linux -mfloat-abi soft -fallow-half-arguments-and-returns -fno-split-dwarf-inlining -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -v -ffunction-sections -fdata-sections -resource-dir /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5 -dependency-file CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o.d -MT CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -sys-header-deps -D ANDROID -D _FORTIFY_SOURCE=2 -isysroot /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include -Wformat -fdebug-compilation-dir /media/sf_share/gateway/build/CMakeFiles/CMakeTmp -ferror-limit 19 -stack-protector 2 -fno-signed-char -fgnuc-version=4.2.1 -o CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -x c /usr/local/share/cmake-3.20/Modules/CMakeCCompilerABI.c]
  ignore line: [clang -cc1 version 11.0.5 based upon LLVM 11.0.5git default target x86_64-unknown-linux-gnu]
  ignore line: [ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/include"]
  ignore line: [#include "..." search starts here:]
  ignore line: [#include <...> search starts here:]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include]
  ignore line: [End of search list.]
  ignore line: [Linking C executable cmTC_c5259]
  ignore line: [/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_c5259.dir/link.txt --verbose=1]
  ignore line: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -march=armv7-a -mthumb -Wformat   -Wl --exclude-libs libgcc.a -Wl --exclude-libs libgcc_real.a -Wl --exclude-libs libatomic.a -static-libstdc++ -Wl --build-id=sha1 -Wl --no-rosegment -Wl --fatal-warnings -Wl --exclude-libs libunwind.a -Wl --no-undefined -Qunused-arguments -Wl --gc-sections  -v CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -o cmTC_c5259 ]
  ignore line: [Android (7155654  based on r399163b1) clang version 11.0.5 (https://android.googlesource.com/toolchain/llvm-project 87f1315dfbea7c137aa2e6d362dbb457e388158d)]
  ignore line: [Target: armv7-none-linux-android21]
  ignore line: [Thread model: posix]
  ignore line: [InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin]
  ignore line: [Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Candidate multilib: thumb]
  ignore line: [@mthumb]
  ignore line: [Candidate multilib: armv7-a]
  ignore line: [@march=armv7-a]
  ignore line: [Candidate multilib: armv7-a/thumb]
  ignore line: [@march=armv7-a@mthumb]
  ignore line: [Candidate multilib: .]
  ignore line: []
  ignore line: [Selected multilib: armv7-a/thumb]
  ignore line: [@march=armv7-a@mthumb]
  link line: [ "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/ld" --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -pie -z noexecstack -EL --warn-shared-textrel -z now -z relro -z max-page-size=4096 -X --hash-style=gnu --hash-style=both --enable-new-dtags --eh-frame-hdr -m armelf_linux_eabi -dynamic-linker /system/bin/linker -o cmTC_c5259 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21 -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib --exclude-libs libgcc.a --exclude-libs libgcc_real.a --exclude-libs libatomic.a --build-id=sha1 --no-rosegment --fatal-warnings --exclude-libs libunwind.a --no-undefined --gc-sections CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o -lgcc -ldl -lc -lgcc -ldl /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o]
    arg [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/ld] ==> ignore
    arg [--sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot] ==> ignore
    arg [-pie] ==> ignore
    arg [-znoexecstack] ==> ignore
    arg [-EL] ==> ignore
    arg [--warn-shared-textrel] ==> ignore
    arg [-znow] ==> ignore
    arg [-zrelro] ==> ignore
    arg [-zmax-page-size=4096] ==> ignore
    arg [-X] ==> ignore
    arg [--hash-style=gnu] ==> ignore
    arg [--hash-style=both] ==> ignore
    arg [--enable-new-dtags] ==> ignore
    arg [--eh-frame-hdr] ==> ignore
    arg [-m] ==> ignore
    arg [armelf_linux_eabi] ==> ignore
    arg [-dynamic-linker] ==> ignore
    arg [/system/bin/linker] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_c5259] ==> ignore
    arg [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o] ==> obj [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
    arg [--exclude-libs] ==> ignore
    arg [libgcc.a] ==> ignore
    arg [--exclude-libs] ==> ignore
    arg [libgcc_real.a] ==> ignore
    arg [--exclude-libs] ==> ignore
    arg [libatomic.a] ==> ignore
    arg [--build-id=sha1] ==> ignore
    arg [--no-rosegment] ==> ignore
    arg [--fatal-warnings] ==> ignore
    arg [--exclude-libs] ==> ignore
    arg [libunwind.a] ==> ignore
    arg [--no-undefined] ==> ignore
    arg [--gc-sections] ==> ignore
    arg [CMakeFiles/cmTC_c5259.dir/CMakeCCompilerABI.c.o] ==> ignore
    arg [-lgcc] ==> lib [gcc]
    arg [-ldl] ==> lib [dl]
    arg [-lc] ==> lib [c]
    arg [-lgcc] ==> lib [gcc]
    arg [-ldl] ==> lib [dl]
    arg [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o] ==> obj [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
  implicit libs: [gcc;dl;c;gcc;dl]
  implicit objs: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o]
  implicit dirs: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
  implicit fwks: []


Detecting CXX compiler ABI info compiled with the following output:
Change Dir: /media/sf_share/gateway/build/CMakeFiles/CMakeTmp

Run Build Command(s):/home/vboxuser/tools/ndk/android_toolchain_16b/bin/make -f Makefile cmTC_bf3b2/fast && /home/vboxuser/tools/ndk/android_toolchain_16b/bin/make  -f CMakeFiles/cmTC_bf3b2.dir/build.make CMakeFiles/cmTC_bf3b2.dir/build
make[1]: Entering directory `/media/sf_share/gateway/build/CMakeFiles/CMakeTmp'
Building CXX object CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o
/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot   -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -march=armv7-a -mthumb -Wformat    -fPIE   -v -MD -MT CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -MF CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o.d -o CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -c /usr/local/share/cmake-3.20/Modules/CMakeCXXCompilerABI.cpp
Android (7155654, based on r399163b1) clang version 11.0.5 (https://android.googlesource.com/toolchain/llvm-project 87f1315dfbea7c137aa2e6d362dbb457e388158d)
Target: armv7-none-linux-android21
Thread model: posix
InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin
Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Candidate multilib: thumb;@mthumb
Candidate multilib: armv7-a;@march=armv7-a
Candidate multilib: armv7-a/thumb;@march=armv7-a@mthumb
Candidate multilib: .;
Selected multilib: armv7-a/thumb;@march=armv7-a@mthumb
 (in-process)
 "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++" -cc1 -triple thumbv7-none-linux-android21 -emit-obj -mrelax-all -mnoexecstack -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCXXCompilerABI.cpp -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fno-rounding-math -mconstructor-aliases -munwind-tables -target-cpu generic -target-feature +soft-float-abi -target-feature +vfp2 -target-feature +vfp2sp -target-feature +vfp3 -target-feature +vfp3d16 -target-feature +vfp3d16sp -target-feature +vfp3sp -target-feature -fp16 -target-feature -vfp4 -target-feature -vfp4d16 -target-feature -vfp4d16sp -target-feature -vfp4sp -target-feature -fp-armv8 -target-feature -fp-armv8d16 -target-feature -fp-armv8d16sp -target-feature -fp-armv8sp -target-feature -fullfp16 -target-feature +fp64 -target-feature +d32 -target-feature +neon -target-feature -crypto -target-feature -fp16fml -target-abi aapcs-linux -mfloat-abi soft -fallow-half-arguments-and-returns -fno-split-dwarf-inlining -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -v -ffunction-sections -fdata-sections -resource-dir /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5 -dependency-file CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o.d -MT CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -sys-header-deps -D ANDROID -D _FORTIFY_SOURCE=2 -isysroot /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/c++/v1 -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include -Wformat -fdeprecated-macro -fdebug-compilation-dir /media/sf_share/gateway/build/CMakeFiles/CMakeTmp -ferror-limit 19 -stack-protector 2 -fno-signed-char -fgnuc-version=4.2.1 -fcxx-exceptions -fexceptions -o CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -x c++ /usr/local/share/cmake-3.20/Modules/CMakeCXXCompilerABI.cpp
clang -cc1 version 11.0.5 based upon LLVM 11.0.5git default target x86_64-unknown-linux-gnu
ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/include"
#include "..." search starts here:
#include <...> search starts here:
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/c++/v1
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi
 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include
End of search list.
Linking CXX executable cmTC_bf3b2
/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_bf3b2.dir/link.txt --verbose=1
/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -march=armv7-a -mthumb -Wformat    -Wl,--exclude-libs,libgcc.a -Wl,--exclude-libs,libgcc_real.a -Wl,--exclude-libs,libatomic.a -static-libstdc++ -Wl,--build-id=sha1 -Wl,--no-rosegment -Wl,--fatal-warnings -Wl,--exclude-libs,libunwind.a -Wl,--no-undefined -Qunused-arguments -Wl,--gc-sections  -v CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_bf3b2 
Android (7155654, based on r399163b1) clang version 11.0.5 (https://android.googlesource.com/toolchain/llvm-project 87f1315dfbea7c137aa2e6d362dbb457e388158d)
Target: armv7-none-linux-android21
Thread model: posix
InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin
Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x
Candidate multilib: thumb;@mthumb
Candidate multilib: armv7-a;@march=armv7-a
Candidate multilib: armv7-a/thumb;@march=armv7-a@mthumb
Candidate multilib: .;
Selected multilib: armv7-a/thumb;@march=armv7-a@mthumb
 "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/ld" --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -pie -z noexecstack -EL --warn-shared-textrel -z now -z relro -z max-page-size=4096 -X --hash-style=gnu --hash-style=both --enable-new-dtags --eh-frame-hdr -m armelf_linux_eabi -dynamic-linker /system/bin/linker -o cmTC_bf3b2 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21 -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib --exclude-libs libgcc.a --exclude-libs libgcc_real.a --exclude-libs libatomic.a --build-id=sha1 --no-rosegment --fatal-warnings --exclude-libs libunwind.a --no-undefined --gc-sections CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -Bstatic -lc++ -Bdynamic -lm -lgcc -ldl -lc -lgcc -ldl /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o
make[1]: Leaving directory `/media/sf_share/gateway/build/CMakeFiles/CMakeTmp'



Parsed CXX implicit include dir info from above output: rv=done
  found start of include info
  found start of implicit include info
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/c++/v1]
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include]
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include]
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi]
    add: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include]
  end of search list found
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/c++/v1] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/c++/v1]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi]
  collapse include dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include]
  implicit include dirs: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/c++/v1;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include]


Parsed CXX implicit link information from above output:
  link line regex: [^( *|.*[/\])(ld|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\]+-)?ld|collect2)[^/\]*( |$)]
  ignore line: [Change Dir: /media/sf_share/gateway/build/CMakeFiles/CMakeTmp]
  ignore line: []
  ignore line: [Run Build Command(s):/home/vboxuser/tools/ndk/android_toolchain_16b/bin/make -f Makefile cmTC_bf3b2/fast && /home/vboxuser/tools/ndk/android_toolchain_16b/bin/make  -f CMakeFiles/cmTC_bf3b2.dir/build.make CMakeFiles/cmTC_bf3b2.dir/build]
  ignore line: [make[1]: Entering directory `/media/sf_share/gateway/build/CMakeFiles/CMakeTmp']
  ignore line: [Building CXX object CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o]
  ignore line: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot   -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -march=armv7-a -mthumb -Wformat    -fPIE   -v -MD -MT CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -MF CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o.d -o CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -c /usr/local/share/cmake-3.20/Modules/CMakeCXXCompilerABI.cpp]
  ignore line: [Android (7155654  based on r399163b1) clang version 11.0.5 (https://android.googlesource.com/toolchain/llvm-project 87f1315dfbea7c137aa2e6d362dbb457e388158d)]
  ignore line: [Target: armv7-none-linux-android21]
  ignore line: [Thread model: posix]
  ignore line: [InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin]
  ignore line: [Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Candidate multilib: thumb]
  ignore line: [@mthumb]
  ignore line: [Candidate multilib: armv7-a]
  ignore line: [@march=armv7-a]
  ignore line: [Candidate multilib: armv7-a/thumb]
  ignore line: [@march=armv7-a@mthumb]
  ignore line: [Candidate multilib: .]
  ignore line: []
  ignore line: [Selected multilib: armv7-a/thumb]
  ignore line: [@march=armv7-a@mthumb]
  ignore line: [ (in-process)]
  ignore line: [ "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++" -cc1 -triple thumbv7-none-linux-android21 -emit-obj -mrelax-all -mnoexecstack -disable-free -disable-llvm-verifier -discard-value-names -main-file-name CMakeCXXCompilerABI.cpp -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fno-rounding-math -mconstructor-aliases -munwind-tables -target-cpu generic -target-feature +soft-float-abi -target-feature +vfp2 -target-feature +vfp2sp -target-feature +vfp3 -target-feature +vfp3d16 -target-feature +vfp3d16sp -target-feature +vfp3sp -target-feature -fp16 -target-feature -vfp4 -target-feature -vfp4d16 -target-feature -vfp4d16sp -target-feature -vfp4sp -target-feature -fp-armv8 -target-feature -fp-armv8d16 -target-feature -fp-armv8d16sp -target-feature -fp-armv8sp -target-feature -fullfp16 -target-feature +fp64 -target-feature +d32 -target-feature +neon -target-feature -crypto -target-feature -fp16fml -target-abi aapcs-linux -mfloat-abi soft -fallow-half-arguments-and-returns -fno-split-dwarf-inlining -debug-info-kind=limited -dwarf-version=4 -debugger-tuning=gdb -v -ffunction-sections -fdata-sections -resource-dir /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5 -dependency-file CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o.d -MT CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -sys-header-deps -D ANDROID -D _FORTIFY_SOURCE=2 -isysroot /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/c++/v1 -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include -internal-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/include -internal-externc-isystem /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include -Wformat -fdeprecated-macro -fdebug-compilation-dir /media/sf_share/gateway/build/CMakeFiles/CMakeTmp -ferror-limit 19 -stack-protector 2 -fno-signed-char -fgnuc-version=4.2.1 -fcxx-exceptions -fexceptions -o CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -x c++ /usr/local/share/cmake-3.20/Modules/CMakeCXXCompilerABI.cpp]
  ignore line: [clang -cc1 version 11.0.5 based upon LLVM 11.0.5git default target x86_64-unknown-linux-gnu]
  ignore line: [ignoring nonexistent directory "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/include"]
  ignore line: [#include "..." search starts here:]
  ignore line: [#include <...> search starts here:]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/c++/v1]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/local/include]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/include]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include/arm-linux-androideabi]
  ignore line: [ /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/include]
  ignore line: [End of search list.]
  ignore line: [Linking CXX executable cmTC_bf3b2]
  ignore line: [/usr/local/bin/cmake -E cmake_link_script CMakeFiles/cmTC_bf3b2.dir/link.txt --verbose=1]
  ignore line: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/clang++ --target=armv7-none-linux-androideabi21 --gcc-toolchain=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64 --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -g -DANDROID -fdata-sections -ffunction-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -D_FORTIFY_SOURCE=2 -march=armv7-a -mthumb -Wformat    -Wl --exclude-libs libgcc.a -Wl --exclude-libs libgcc_real.a -Wl --exclude-libs libatomic.a -static-libstdc++ -Wl --build-id=sha1 -Wl --no-rosegment -Wl --fatal-warnings -Wl --exclude-libs libunwind.a -Wl --no-undefined -Qunused-arguments -Wl --gc-sections  -v CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_bf3b2 ]
  ignore line: [Android (7155654  based on r399163b1) clang version 11.0.5 (https://android.googlesource.com/toolchain/llvm-project 87f1315dfbea7c137aa2e6d362dbb457e388158d)]
  ignore line: [Target: armv7-none-linux-android21]
  ignore line: [Thread model: posix]
  ignore line: [InstalledDir: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin]
  ignore line: [Found candidate GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Selected GCC installation: /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x]
  ignore line: [Candidate multilib: thumb]
  ignore line: [@mthumb]
  ignore line: [Candidate multilib: armv7-a]
  ignore line: [@march=armv7-a]
  ignore line: [Candidate multilib: armv7-a/thumb]
  ignore line: [@march=armv7-a@mthumb]
  ignore line: [Candidate multilib: .]
  ignore line: []
  ignore line: [Selected multilib: armv7-a/thumb]
  ignore line: [@march=armv7-a@mthumb]
  link line: [ "/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/ld" --sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot -pie -z noexecstack -EL --warn-shared-textrel -z now -z relro -z max-page-size=4096 -X --hash-style=gnu --hash-style=both --enable-new-dtags --eh-frame-hdr -m armelf_linux_eabi -dynamic-linker /system/bin/linker -o cmTC_bf3b2 /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21 -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb -L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib --exclude-libs libgcc.a --exclude-libs libgcc_real.a --exclude-libs libatomic.a --build-id=sha1 --no-rosegment --fatal-warnings --exclude-libs libunwind.a --no-undefined --gc-sections CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o -Bstatic -lc++ -Bdynamic -lm -lgcc -ldl -lc -lgcc -ldl /home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o]
    arg [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/bin/ld] ==> ignore
    arg [--sysroot=/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot] ==> ignore
    arg [-pie] ==> ignore
    arg [-znoexecstack] ==> ignore
    arg [-EL] ==> ignore
    arg [--warn-shared-textrel] ==> ignore
    arg [-znow] ==> ignore
    arg [-zrelro] ==> ignore
    arg [-zmax-page-size=4096] ==> ignore
    arg [-X] ==> ignore
    arg [--hash-style=gnu] ==> ignore
    arg [--hash-style=both] ==> ignore
    arg [--enable-new-dtags] ==> ignore
    arg [--eh-frame-hdr] ==> ignore
    arg [-m] ==> ignore
    arg [armelf_linux_eabi] ==> ignore
    arg [-dynamic-linker] ==> ignore
    arg [/system/bin/linker] ==> ignore
    arg [-o] ==> ignore
    arg [cmTC_bf3b2] ==> ignore
    arg [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o] ==> obj [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb]
    arg [-L/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib] ==> dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
    arg [--exclude-libs] ==> ignore
    arg [libgcc.a] ==> ignore
    arg [--exclude-libs] ==> ignore
    arg [libgcc_real.a] ==> ignore
    arg [--exclude-libs] ==> ignore
    arg [libatomic.a] ==> ignore
    arg [--build-id=sha1] ==> ignore
    arg [--no-rosegment] ==> ignore
    arg [--fatal-warnings] ==> ignore
    arg [--exclude-libs] ==> ignore
    arg [libunwind.a] ==> ignore
    arg [--no-undefined] ==> ignore
    arg [--gc-sections] ==> ignore
    arg [CMakeFiles/cmTC_bf3b2.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
    arg [-Bstatic] ==> ignore
    arg [-lc++] ==> lib [c++]
    arg [-Bdynamic] ==> ignore
    arg [-lm] ==> lib [m]
    arg [-lgcc] ==> lib [gcc]
    arg [-ldl] ==> lib [dl]
    arg [-lc] ==> lib [c]
    arg [-lgcc] ==> lib [gcc]
    arg [-ldl] ==> lib [dl]
    arg [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o] ==> obj [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/../lib/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/../lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/../../lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/../../../../arm-linux-androideabi/lib/armv7-a/thumb] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb]
  collapse library dir [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib] ==> [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
  implicit libs: [c++;m;gcc;dl;c;gcc;dl]
  implicit objs: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtbegin_dynamic.o;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21/crtend_android.o]
  implicit dirs: [/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib64/clang/11.0.5/lib/linux/arm;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/lib/gcc/arm-linux-androideabi/4.9.x/armv7-a/thumb;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/arm-linux-androideabi/lib/armv7-a/thumb;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi/21;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib/arm-linux-androideabi;/home/vboxuser/tools/ndk/android-ndk-r22b/toolchains/llvm/prebuilt/linux-x86_64/sysroot/usr/lib]
  implicit fwks: []


